Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class GlyfCompositeDescript

    java.lang.Object
      org.apache.batik.svggen.font.table.Program
          org.apache.batik.svggen.font.table.GlyfDescript
              org.apache.batik.svggen.font.table.GlyfCompositeDescript

All Implemented Interfaces:
  GlyphDescription

public class GlyfCompositeDescript
extends GlyfDescript

Glyph description for composite glyphs. Composite glyphs are made up of one or more simple glyphs, usually with some sort of transformation applied to each.

Field Summary

Fields inherited from class org.apache.batik.svggen.font.table.GlyfDescript
`onCurve, parentTable, repeat, xDual, xShortVector, yDual, yShortVector`

Constructor Summary
`GlyfCompositeDescript(GlyfTable parentTable, java.io.ByteArrayInputStream bais)`

Method Summary
`int` | `getComponentCount()`
`int` | `getComponentIndex(int i)`
`protected GlyfCompositeComp` | `getCompositeComp(int i)`
`protected GlyfCompositeComp` | `getCompositeCompEndPt(int i)`
`int` | `getContourCount()`
`int` | `getEndPtOfContours(int i)`
`byte` | `getFlags(int i)`
`int` | `getPointCount()`
`short` | `getXCoordinate(int i)`
`short` | `getYCoordinate(int i)`
`boolean` | `isComposite()`

Methods inherited from class org.apache.batik.svggen.font.table.GlyfDescript
`getNumberOfContours, getXMaximum, getXMinimum, getYMaximum, getYMinimum`

Methods inherited from class org.apache.batik.svggen.font.table.Program
`getInstructions, readInstructions, readInstructions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyfCompositeDescript

    public GlyfCompositeDescript(GlyfTable parentTable,
                                 java.io.ByteArrayInputStream bais)

Method Detail

### getEndPtOfContours

    public int getEndPtOfContours(int i)

### getFlags

    public byte getFlags(int i)

### getXCoordinate

    public short getXCoordinate(int i)

### getYCoordinate

    public short getYCoordinate(int i)

### isComposite

    public boolean isComposite()

### getPointCount

    public int getPointCount()

### getContourCount

    public int getContourCount()

### getComponentIndex

    public int getComponentIndex(int i)

### getComponentCount

    public int getComponentCount()

### getCompositeComp

    protected GlyfCompositeComp getCompositeComp(int i)

### getCompositeCompEndPt

    protected GlyfCompositeComp getCompositeCompEndPt(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.